@echo off
rem ********************************************************************************
rem *
rem * LOADRAID.BAT
rem *
rem * This file controls dynamic loading the IPSRASPI driver for IPSSEND.  This means
rem * this driver is ONLY loaded when it is needed, which saves conventional memory
rem * during the rest of the installation process.
rem *
rem * This batch file is called by cfgraid.bat.
rem *
rem ********************************************************************************

rem ********************************************************************************
rem * Attempt to load the device driver if there is an adapter present.
rem ********************************************************************************

hwdetect /vid:1014 /did:002E
if errorlevel 1 goto LOAD

hwdetect /vid:1014 /did:01BD
if errorlevel 1 goto LOAD

hwdetect /vid:9005 /did:0250
if errorlevel 1 goto LOAD

goto END

:LOAD
rem ********************************************************************************
rem * Load the device driver.
rem ********************************************************************************
dynaload %TK_PATH%\dos\IPSRASPI.SYS /T:500 /F


:END

